JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinBase.SYSTEM_INFO.UNION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.UNION

Direct Known Subclasses:
  WinBase.SYSTEM_INFO.UNION.ByReference

Enclosing class:
  WinBase.SYSTEM_INFO

    public static class WinBase.SYSTEM_INFO.UNION

extends Union

Nested Class Summary
`static class` | `WinBase.SYSTEM_INFO.UNION.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`WinDef.DWORD` | `dwOemID` An obsolete member that is retained for compatibility with Windows NT 3.5 and earlier.
`WinBase.SYSTEM_INFO.PI.ByReference` | `pi` Processor architecture.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinBase.SYSTEM_INFO.UNION()`

Method Summary

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getPointer, getStructAlignment, hashCode, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwOemID

    public WinDef.DWORD dwOemID

  An obsolete member that is retained for compatibility with Windows NT 3.5 and earlier. New applications should use the wProcessorArchitecture branch of the union. Windows Me/98/95: The system always sets this member to zero, the value defined for PROCESSOR_ARCHITECTURE_INTEL.

### pi

    public WinBase.SYSTEM_INFO.PI.ByReference pi

  Processor architecture.

Constructor Detail

### WinBase.SYSTEM_INFO.UNION

    public WinBase.SYSTEM_INFO.UNION()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.